<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */

get_header(); ?>

<div id="main-content" class="main-content">

<?php
	if ( is_front_page() && twentyfourteen_has_featured_posts() ) {
		// Include the featured content template.
		get_template_part( 'featured-content' );
	}
?>

	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">
<div id="widthpix">aaa</div>
 <?php echo do_shortcode('[UMO-news-special]'); ?>

		<?php
			if ( have_posts() ) :
				// Start the Loop.
				while ( have_posts() ) : the_post();

					/*
					 * Include the post format-specific template for the content. If you want to
					 * use this in a child theme, then include a file called called content-___.php
					 * (where ___ is the post format) and that will be used instead.
					 */
					$div = '<div style="width:220px;margin:10px;float:left"><div><a href="%s">%s</a></div><div><a href="%s">%s</a></div></div>';
					$image = '';
					// PhotonAPI用のsrc
					$imgString = '<img src="http://i0.wp.com/%s?resize=200,200" />';
					// PhotonAPIに使うため、http://を取り除く
					$img = str_replace('http://', '', get_the_content_image()); // コンテンツからイメージを取得
					
					$image = sprintf($imgString, $img);

					$url = get_permalink();
					echo sprintf($div, $url, $image, $url, get_the_title());
				endwhile;
				echo '<div style="clear:both"></div>';
				// Previous/next post navigation.
				twentyfourteen_paging_nav();

			else :
				// If no content, include the "No posts found" template.
				get_template_part( 'content', 'none' );

			endif;
		?>
		</div><!-- #content -->
	</div><!-- #primary -->
	<?php get_sidebar( 'content' ); ?>
</div><!-- #main-content -->

<?php
get_sidebar();
get_footer();
